Package org.globus.gsi.gssapi.auth

# Class GSSAuthorization

java.lang.Object
org.globus.gsi.gssapi.auth.Authorization
org.globus.gsi.gssapi.auth.GSSAuthorization

Direct Known Subclasses:
  `HostAuthorization`, `HostOrSelfAuthorization`, `IdentityAuthorization`, `NoAuthorization`, `SelfAuthorization`

public abstract class GSSAuthorization extends Authorization
GSSAPI client authorization.

## Constructor Summary

Constructors
Constructor
Description
`GSSAuthorization()`

## Method Summary

Modifier and Type
Method
Description
`abstract GSSName`
`getExpectedName(GSSCredential cred, String host)`
Returns expected `GSSName` used for authorization purposes.

### Methods inherited from class org.globus.gsi.gssapi.auth.Authorization

`authorize, generateAuthorizationException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSSAuthorization

public GSSAuthorization()

## Method Details

### getExpectedName

public abstract GSSName getExpectedName(GSSCredential cred, String host) throws GSSException
Returns expected `GSSName` used for authorization purposes. Can returns null for self authorization.

Parameters:
  `cred` - credentials used
  `host` - host address of the peer.
Throws:
  `GSSException` - if unable to create the name.